## r-cran-paramhelpers 1.12

=== DESCRIPTION ===
Package: ParamHelpers
Title: Helpers for Parameters in Black-Box Optimization, Tuning and
        Machine Learning
Description: Functions for parameter descriptions and operations in black-box
    optimization, tuning and machine learning. Parameters can be described
    (type, constraints, defaults, etc.), combined to parameter sets and can in
    general be programmed on. A useful OptPath object (archive) to log function
    evaluations is also provided.
Authors@R: c(
    person("Bernd", "Bischl", email = "bernd_bischl@gmx.net", role = "aut"),
    person("Michel", "Lang", email = "michellang@gmail.com", role = "aut"),
    person("Jakob", "Richter", email = "code@jakob-r.de", role = c("aut", "cre")),
    person("Jakob", "Bossek", email = "j.bossek@gmail.com", role = "aut"),
    person("Daniel", "Horn", email = "daniel.horn@tu-dortmund.de", role = "aut"),
    person("Karin", "Schork", email = "karin.schork@tu-dortmund.de", role = "ctb"),
    person("Pascal", "Kerschke", email = "kerschke@uni-muenster.de", role = "aut"))
URL: https://github.com/berndbischl/ParamHelpers
BugReports: https://github.com/berndbischl/ParamHelpers/issues
License: BSD_2_clause + file LICENSE
Imports: backports, BBmisc (>= 1.10), checkmate (>= 1.8.2), fastmatch,
        methods
Suggests: akima, eaf, emoa, GGally, ggplot2, gridExtra, grid, irace (>=
        2.1), lhs, plyr, reshape2, testthat
LazyData: yes
ByteCompile: yes
Version: 1.12
RoxygenNote: 6.1.1
NeedsCompilation: yes
Packaged: 2019-01-18 14:27:42 UTC; richter
Author: Bernd Bischl [aut],
  Michel Lang [aut],
  Jakob Richter [aut, cre],
  Jakob Bossek [aut],
  Daniel Horn [aut],
  Karin Schork [ctb],
  Pascal Kerschke [aut]
Maintainer: Jakob Richter <code@jakob-r.de>
Repository: CRAN
Date/Publication: 2019-01-18 15:10:11 UTC

## r-cran-paramhelpers 1.11

=== debian/changelog ===
r-cran-paramhelpers (1.11-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Bump versioned Build-Depends: r-cran-bbmisc (>= 1.11),
    r-cran-fastmatch (>= 1.1-0)

 -- Andreas Tille <tille@debian.org>  Mon, 03 Dec 2018 20:31:16 +0100

r-cran-paramhelpers (1.11-1) unstable; urgency=medium

  * Initial release (closes: #910461)

 -- Andreas Tille <tille@debian.org>  Sat, 06 Oct 2018 18:17:01 +0200

=== debian/control ===
Source: r-cran-paramhelpers
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-backports,
               r-cran-bbmisc (>= 1.11),
               r-cran-checkmate (>= 1.8.2),
               r-cran-fastmatch (>= 1.1-0)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-paramhelpers
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-paramhelpers.git
Homepage: https://cran.r-project.org/package=ParamHelpers

Package: r-cran-paramhelpers
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R helpers for parameters in black-box optimization and tuning
 Functions for parameter descriptions and operations in black-box
 optimization, tuning and machine learning. Parameters can be described
 (type, constraints, defaults, etc.), combined to parameter sets and can in
 general be programmed on. A useful OptPath object (archive) to log function
 evaluations is also provided.

## r-cran-paramhelpers 1.12

=== debian/changelog ===
r-cran-paramhelpers (1.12-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 10 May 2019 14:37:50 +0200

r-cran-paramhelpers (1.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Dylan Aïssi <daissi@debian.org>  Mon, 21 Jan 2019 08:03:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-backports,
                r-cran-bbmisc (>= 1.11),
                r-cran-checkmate (>= 1.8.2),
-               r-cran-fastmatch (>= 1.1-0)
-Standards-Version: 4.2.1
+               r-cran-fastmatch
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-paramhelpers
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-paramhelpers.git
 Homepage: https://cran.r-project.org/package=ParamHelpers

## r-cran-paramhelpers 1.13

=== DESCRIPTION ===
Package: ParamHelpers
Title: Helpers for Parameters in Black-Box Optimization, Tuning and
        Machine Learning
Version: 1.13
Authors@R: 
    c(person(given = "Bernd",
             family = "Bischl",
             role = "aut",
             email = "bernd_bischl@gmx.net",
             comment = c(ORCID = "0000-0001-6002-6980")),
      person(given = "Michel",
             family = "Lang",
             role = "aut",
             email = "michellang@gmail.com",
             comment = c(ORCID = "0000-0001-9754-0393")),
      person(given = "Jakob",
             family = "Richter",
             role = c("cre", "aut"),
             email = "code@jakob-r.de",
             comment = c(ORCID = "0000-0003-4481-5554")),
      person(given = "Jakob",
             family = "Bossek",
             role = "aut",
             email = "j.bossek@gmail.com"),
      person(given = "Daniel",
             family = "Horn",
             role = "aut",
             email = "daniel.horn@tu-dortmund.de"),
      person(given = "Karin",
             family = "Schork",
             role = "ctb",
             email = "karin.schork@tu-dortmund.de"),
      person(given = "Pascal",
             family = "Kerschke",
             role = "aut",
             email = "kerschke@uni-muenster.de"))
Description: Functions for parameter descriptions and operations
    in black-box optimization, tuning and machine learning. Parameters can
    be described (type, constraints, defaults, etc.), combined to
    parameter sets and can in general be programmed on. A useful OptPath
    object (archive) to log function evaluations is also provided.
License: BSD_2_clause + file LICENSE
URL: https://paramhelpers.mlr-org.com,
        https://github.com/mlr-org/ParamHelpers
BugReports: https://github.com/mlr-org/ParamHelpers/issues
Imports: backports, BBmisc (>= 1.10), checkmate (>= 1.8.2), fastmatch,
        methods
Suggests: akima, covr, eaf, emoa, GGally, ggplot2, grid, gridExtra,
        irace (>= 2.1), lhs, plyr, reshape2, testthat
ByteCompile: yes
Encoding: UTF-8
LazyData: yes
RoxygenNote: 7.0.1
NeedsCompilation: yes
Packaged: 2019-12-02 14:18:21 UTC; richter
Author: Bernd Bischl [aut] (<https://orcid.org/0000-0001-6002-6980>),
  Michel Lang [aut] (<https://orcid.org/0000-0001-9754-0393>),
  Jakob Richter [cre, aut] (<https://orcid.org/0000-0003-4481-5554>),
  Jakob Bossek [aut],
  Daniel Horn [aut],
  Karin Schork [ctb],
  Pascal Kerschke [aut]
Maintainer: Jakob Richter <code@jakob-r.de>
Repository: CRAN
Date/Publication: 2019-12-02 15:00:02 UTC

=== debian/changelog ===
r-cran-paramhelpers (1.13-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 07 Dec 2019 08:35:01 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-backports,
-               r-cran-bbmisc (>= 1.11),
+               r-cran-bbmisc (>= 1.10),
                r-cran-checkmate (>= 1.8.2),
                r-cran-fastmatch
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-paramhelpers
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-paramhelpers.git
 Homepage: https://cran.r-project.org/package=ParamHelpers

## r-cran-paramhelpers 1.14

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ParamHelpers
 Title: Helpers for Parameters in Black-Box Optimization, Tuning and
         Machine Learning
-Version: 1.13
+Version: 1.14
 Authors@R: 
     c(person(given = "Bernd",
              family = "Bischl",
@@ -50,9 +50,9 @@
 ByteCompile: yes
 Encoding: UTF-8
 LazyData: yes
-RoxygenNote: 7.0.1
+RoxygenNote: 7.1.0
 NeedsCompilation: yes
-Packaged: 2019-12-02 14:18:21 UTC; richter
+Packaged: 2020-03-24 09:21:07 UTC; jakob
 Author: Bernd Bischl [aut] (<https://orcid.org/0000-0001-6002-6980>),
   Michel Lang [aut] (<https://orcid.org/0000-0001-9754-0393>),
   Jakob Richter [cre, aut] (<https://orcid.org/0000-0003-4481-5554>),
@@ -62,4 +62,4 @@
   Pascal Kerschke [aut]
 Maintainer: Jakob Richter <code@jakob-r.de>
 Repository: CRAN
-Date/Publication: 2019-12-02 15:00:02 UTC
+Date/Publication: 2020-03-24 10:10:05 UTC

=== debian/changelog ===
r-cran-paramhelpers (1.14-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 19:28:08 +0000

r-cran-paramhelpers (1.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 28 Mar 2020 18:52:17 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
                r-cran-bbmisc (>= 1.10),
                r-cran-checkmate (>= 1.8.2),
                r-cran-fastmatch
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-paramhelpers
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-paramhelpers.git
 Homepage: https://cran.r-project.org/package=ParamHelpers
+Rules-Requires-Root: no
 
 Package: r-cran-paramhelpers
 Architecture: any

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/ParamHelpers_([-\d.]*)\.tar\.gz

## r-cran-paramhelpers 1.14.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ParamHelpers
 Title: Helpers for Parameters in Black-Box Optimization, Tuning and
         Machine Learning
-Version: 1.14
+Version: 1.14.1
 Authors@R: 
     c(person(given = "Bernd",
              family = "Bischl",
@@ -45,14 +45,13 @@
 BugReports: https://github.com/mlr-org/ParamHelpers/issues
 Imports: backports, BBmisc (>= 1.10), checkmate (>= 1.8.2), fastmatch,
         methods
-Suggests: akima, covr, eaf, emoa, GGally, ggplot2, grid, gridExtra,
+Suggests: interp, covr, eaf, emoa, GGally, ggplot2, grid, gridExtra,
         irace (>= 2.1), lhs, plyr, reshape2, testthat
 ByteCompile: yes
 Encoding: UTF-8
-LazyData: yes
 RoxygenNote: 7.1.0
 NeedsCompilation: yes
-Packaged: 2020-03-24 09:21:07 UTC; jakob
+Packaged: 2022-07-04 09:34:57 UTC; ripley
 Author: Bernd Bischl [aut] (<https://orcid.org/0000-0001-6002-6980>),
   Michel Lang [aut] (<https://orcid.org/0000-0001-9754-0393>),
   Jakob Richter [cre, aut] (<https://orcid.org/0000-0003-4481-5554>),
@@ -62,4 +61,4 @@
   Pascal Kerschke [aut]
 Maintainer: Jakob Richter <code@jakob-r.de>
 Repository: CRAN
-Date/Publication: 2020-03-24 10:10:05 UTC
+Date/Publication: 2022-07-04 11:29:28 UTC

=== debian/changelog ===
r-cran-paramhelpers (1.14.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jul 2022 07:23:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-backports,
-               r-cran-bbmisc (>= 1.10),
-               r-cran-checkmate (>= 1.8.2),
+               r-cran-bbmisc,
+               r-cran-checkmate,
                r-cran-fastmatch
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-paramhelpers
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-paramhelpers.git
 Homepage: https://cran.r-project.org/package=ParamHelpers

## r-cran-paramhelpers 1.14.2

=== DESCRIPTION ===
Package: ParamHelpers
Title: Helpers for Parameters in Black-Box Optimization, Tuning and
        Machine Learning
Version: 1.14.2
Authors@R: 
    c(person(given = "Bernd",
             family = "Bischl",
             role = "aut",
             email = "bernd_bischl@gmx.net",
             comment = c(ORCID = "0000-0001-6002-6980")),
      person(given = "Michel",
             family = "Lang",
             role = "aut",
             email = "michellang@gmail.com",
             comment = c(ORCID = "0000-0001-9754-0393")),
      person(given = "Jakob",
             family = "Richter",
             role = "aut",
             email = "code@jakob-r.de",
             comment = c(ORCID = "0000-0003-4481-5554")),
      person(given = "Jakob",
             family = "Bossek",
             role = "aut",
             email = "j.bossek@gmail.com"),
      person(given = "Daniel",
             family = "Horn",
             role = "aut",
             email = "daniel.horn@tu-dortmund.de"),
      person(given = "Karin",
             family = "Schork",
             role = "ctb",
             email = "karin.schork@tu-dortmund.de"),
      person(given = "Pascal",
             family = "Kerschke",
             role = "aut",
             email = "kerschke@uni-muenster.de"),
      person(given = "Martin",
             family = "Binder",
             role = c("ctb", "cre"),
             email = "mlr.developer@mb706.com"))
Description: Functions for parameter descriptions and operations in
    black-box optimization, tuning and machine learning. Parameters can be
    described (type, constraints, defaults, etc.), combined to parameter
    sets and can in general be programmed on. A useful OptPath object
    (archive) to log function evaluations is also provided.
License: BSD_2_clause + file LICENSE
URL: https://paramhelpers.mlr-org.com,
        https://github.com/mlr-org/ParamHelpers
BugReports: https://github.com/mlr-org/ParamHelpers/issues
Imports: backports, BBmisc (>= 1.10), checkmate (>= 1.8.2), fastmatch,
        methods
Suggests: akima, covr, eaf, emoa, GGally, ggplot2, grid, gridExtra,
        irace (>= 2.1), lhs, plyr, reshape2, testthat
ByteCompile: yes
Config/testthat/edition: 3
Config/testthat/parallel: true
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: yes
Packaged: 2025-01-09 15:17:24 UTC; user
Author: Bernd Bischl [aut] (<https://orcid.org/0000-0001-6002-6980>),
  Michel Lang [aut] (<https://orcid.org/0000-0001-9754-0393>),
  Jakob Richter [aut] (<https://orcid.org/0000-0003-4481-5554>),
  Jakob Bossek [aut],
  Daniel Horn [aut],
  Karin Schork [ctb],
  Pascal Kerschke [aut],
  Martin Binder [ctb, cre]
Maintainer: Martin Binder <mlr.developer@mb706.com>
Repository: CRAN
Date/Publication: 2025-01-09 22:50:02 UTC

=== debian/changelog ===
r-cran-paramhelpers (1.14.2-2) unstable; urgency=medium

  * Team upload.
  * Packaging update (routine-update)
  * Standards-Version: 4.7.3 (routine-update)
  * Standards-Version: 4.7.3 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 04 Mar 2026 14:30:26 +0900

r-cran-paramhelpers (1.14.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 17:34:44 +0900

=== debian/control ===
Source: r-cran-paramhelpers
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-backports,
 r-cran-bbmisc,
 r-cran-checkmate,
 r-cran-fastmatch,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-paramhelpers
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-paramhelpers.git
Homepage: https://cran.r-project.org/package=ParamHelpers
Rules-Requires-Root: no

Package: r-cran-paramhelpers
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Helpers for Parameters in Black-Box Optimization, Tuning and Machine Learning
 Functions for parameter descriptions and operations in black-box optimization,
 tuning and machine learning. Parameters can be described (type, constraints,
 defaults, etc.), combined to parameter sets and can in general be
 programmed on. A useful OptPath object (archive) to log function evaluations
 is also provided.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-covr,
 r-cran-eaf,
 r-cran-emoa,
 r-cran-ggally,
 r-cran-ggplot2,
 r-cran-gridextra,
 r-cran-irace,
 r-cran-lhs,
 r-cran-plyr,
 r-cran-reshape2,
 r-cran-testthat,
